# HG changeset patch
# Node ID 11bb1a8d28d63bd1ec7e8603a01032019ec47f4b
# Parent  c3ada12d1ec2e1fedd349dc7fef058922c825771
diff --git a/pidgin/pidginabout.h b/pidgin/pidginabout.h
--- a/pidgin/pidginabout.h
+++ b/pidgin/pidginabout.h
@@ -55,7 +55,7 @@ G_DECLARE_FINAL_TYPE(PidginAboutDialog, 
  *
  * Creates a new about window.
  *
- * Returns: (transfer full): A new instance of the about dialog.
+ * Returns: (transfer full) (type PidginAboutDialog): The new about dialog.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginaccountchooser.h b/pidgin/pidginaccountchooser.h
--- a/pidgin/pidginaccountchooser.h
+++ b/pidgin/pidginaccountchooser.h
@@ -54,7 +54,8 @@ G_DECLARE_FINAL_TYPE(PidginAccountChoose
  *
  * Creates a combo box filled with accounts.
  *
- * Returns: (transfer full): The account chooser combo box.
+ * Returns: (transfer full) (type PidginAccountChooser): The new account
+ *          chooser combo box.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginaccountdisplay.h b/pidgin/pidginaccountdisplay.h
--- a/pidgin/pidginaccountdisplay.h
+++ b/pidgin/pidginaccountdisplay.h
@@ -55,7 +55,8 @@ G_DECLARE_FINAL_TYPE(PidginAccountDispla
  *
  * Creates a display for an account.
  *
- * Returns: (transfer full): The account display.
+ * Returns: (transfer full) (type PidginAccountDisplay): The new account
+ *          display.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginaccounteditor.h b/pidgin/pidginaccounteditor.h
--- a/pidgin/pidginaccounteditor.h
+++ b/pidgin/pidginaccounteditor.h
@@ -58,7 +58,7 @@ G_DECLARE_FINAL_TYPE(PidginAccountEditor
  * Creates a new #PidginAccountEditor for @account. If @account is %NULL, the
  * editor will create a new account.
  *
- * Returns: (transfer full): The new instance.
+ * Returns: (transfer full) (type PidginAccountEditor): The new account editor.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginaccountfilterconnected.h b/pidgin/pidginaccountfilterconnected.h
--- a/pidgin/pidginaccountfilterconnected.h
+++ b/pidgin/pidginaccountfilterconnected.h
@@ -57,7 +57,7 @@ G_DECLARE_FINAL_TYPE(PidginAccountFilter
  * Creates a new #PidginAccountFilterConnected that should be used to filter
  * only online accounts.
  *
- * Returns: (transfer full): The new #PidginAccountFilterConnected instance.
+ * Returns: (transfer full) (type PidginAccountFilterConnected): The new filter.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginaccountfilterprotocol.h b/pidgin/pidginaccountfilterprotocol.h
--- a/pidgin/pidginaccountfilterprotocol.h
+++ b/pidgin/pidginaccountfilterprotocol.h
@@ -58,7 +58,7 @@ G_DECLARE_FINAL_TYPE(PidginAccountFilter
  * Creates a new #PidginAccountFilterProtocol that should be used to filter
  * only protocols with the given @protocol_id.
  *
- * Returns: (transfer full): The new #PidginAccountFilterProtocol instance.
+ * Returns: (transfer full) (type PidginAccountFilterProtocol): The new filter.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginaccountmanager.h b/pidgin/pidginaccountmanager.h
--- a/pidgin/pidginaccountmanager.h
+++ b/pidgin/pidginaccountmanager.h
@@ -55,7 +55,7 @@ G_DECLARE_FINAL_TYPE(PidginAccountManage
  *
  * Creates a new account manager dialog.
  *
- * Returns: (transfer full): The dialog.
+ * Returns: (transfer full) (type PidginAccountManager): The dialog.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginaccountmanagerrow.h b/pidgin/pidginaccountmanagerrow.h
--- a/pidgin/pidginaccountmanagerrow.h
+++ b/pidgin/pidginaccountmanagerrow.h
@@ -55,7 +55,7 @@ G_BEGIN_DECLS
  *
  * Creates a new #PidginAccountManagerRow to display a [class@Purple.Account].
  *
- * Returns: (transfer full): The new account row.
+ * Returns: (transfer full) (type PidginAccountManagerRow): The new account row.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginaccountrow.h b/pidgin/pidginaccountrow.h
--- a/pidgin/pidginaccountrow.h
+++ b/pidgin/pidginaccountrow.h
@@ -59,7 +59,7 @@ G_DECLARE_FINAL_TYPE(PidginAccountRow, p
  *
  * Creates a new instance.
  *
- * Returns: (transfer full): The new instance.
+ * Returns: (transfer full) (type PidginAccountRow): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginaccountsdisabledmenu.h b/pidgin/pidginaccountsdisabledmenu.h
--- a/pidgin/pidginaccountsdisabledmenu.h
+++ b/pidgin/pidginaccountsdisabledmenu.h
@@ -57,7 +57,7 @@ G_DECLARE_FINAL_TYPE(PidginAccountsDisab
  * Creates a menu that will automatically update itself to include accounts
  * that are disabled in libpurple.
  *
- * Returns: (transfer full): The new menu instance.
+ * Returns: (transfer full) (type PidginAccountsDisabledMenu): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginaccountsenabledmenu.h b/pidgin/pidginaccountsenabledmenu.h
--- a/pidgin/pidginaccountsenabledmenu.h
+++ b/pidgin/pidginaccountsenabledmenu.h
@@ -57,7 +57,7 @@ G_DECLARE_FINAL_TYPE(PidginAccountsEnabl
  * Creates a [class@Gio.MenuModel] that will automatically update itself to
  * include accounts that are enabled in libpurple.
  *
- * Returns: (transfer full): The new menu instance.
+ * Returns: (transfer full) (type PidginAccountsEnabledMenu): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginapplication.h b/pidgin/pidginapplication.h
--- a/pidgin/pidginapplication.h
+++ b/pidgin/pidginapplication.h
@@ -56,7 +56,7 @@ G_DECLARE_FINAL_TYPE(PidginApplication, 
  *
  * Creates a new #PidginApplication instance.
  *
- * Returns: (transfer full): The new #PidginApplication instance.
+ * Returns: (transfer full) (type PidginApplication): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginautoadjustment.h b/pidgin/pidginautoadjustment.h
--- a/pidgin/pidginautoadjustment.h
+++ b/pidgin/pidginautoadjustment.h
@@ -58,7 +58,7 @@ G_DECLARE_FINAL_TYPE(PidginAutoAdjustmen
  *
  * Creates a new #PidginAutoAdjustment.
  *
- * Returns: (transfer full): The new #PidginAutoAdjustment instance.
+ * Returns: (transfer full) (type PidginAutoAdjustment): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginavatar.h b/pidgin/pidginavatar.h
--- a/pidgin/pidginavatar.h
+++ b/pidgin/pidginavatar.h
@@ -56,7 +56,7 @@ G_DECLARE_FINAL_TYPE(PidginAvatar, pidgi
  *
  * Creates a new #PidginAvatar instance.
  *
- * Returns: (transfer full): The new #PidginAvatar instance.
+ * Returns: (transfer full) (type PidginAvatar): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginbadges.h b/pidgin/pidginbadges.h
--- a/pidgin/pidginbadges.h
+++ b/pidgin/pidginbadges.h
@@ -56,7 +56,7 @@ G_DECLARE_FINAL_TYPE(PidginBadges, pidgi
  *
  * Displays badges.
  *
- * Returns: (transfer full): The new widget.
+ * Returns: (transfer full) (type PidginBadges): The new widget.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginchanneljoindialog.h b/pidgin/pidginchanneljoindialog.h
--- a/pidgin/pidginchanneljoindialog.h
+++ b/pidgin/pidginchanneljoindialog.h
@@ -53,7 +53,7 @@ G_DECLARE_FINAL_TYPE(PidginChannelJoinDi
  *
  * Creates a new channel join dialog.
  *
- * Returns: (transfer full): The widget.
+ * Returns: (transfer full) (type PidginChannelJoinDialog): The new widget.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidgincontactlist.h b/pidgin/pidgincontactlist.h
--- a/pidgin/pidgincontactlist.h
+++ b/pidgin/pidgincontactlist.h
@@ -59,7 +59,7 @@ G_DECLARE_FINAL_TYPE(PidginContactList, 
  * [iface@Gio.ListModel] of [class@Purple.Person] from
  * [class@Purple.ContactManager].
  *
- * Returns: (transfer full): The new #PidginContactList instance.
+ * Returns: (transfer full) (type PidginContactList): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginconversation.h b/pidgin/pidginconversation.h
--- a/pidgin/pidginconversation.h
+++ b/pidgin/pidginconversation.h
@@ -59,7 +59,7 @@ G_DECLARE_FINAL_TYPE(PidginConversation,
  *
  * Creates the user interface for @conversation and returns it.
  *
- * Returns: (transfer full): The new widget.
+ * Returns: (transfer full) (type PidginConversation): The new widget.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginconversationmember.h b/pidgin/pidginconversationmember.h
--- a/pidgin/pidginconversationmember.h
+++ b/pidgin/pidginconversationmember.h
@@ -55,7 +55,8 @@ G_DECLARE_FINAL_TYPE(PidginConversationM
  *
  * Creates a display for a conversation member.
  *
- * Returns: (transfer full): The conversation member display.
+ * Returns: (transfer full) (type PidginConversationMember): The conversation
+ *          member display.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidgindisplayitem.h b/pidgin/pidgindisplayitem.h
--- a/pidgin/pidgindisplayitem.h
+++ b/pidgin/pidgindisplayitem.h
@@ -57,7 +57,7 @@ G_DECLARE_FINAL_TYPE(PidginDisplayItem, 
  *
  * Creates a new #PidginDisplayItem instance.
  *
- * Returns: (transfer full): The new #PidginDisplayItem instance.
+ * Returns: (transfer full): The new instance.
  */
 PidginDisplayItem *pidgin_display_item_new(GtkWidget *child, const char *id);
 
diff --git a/pidgin/pidgindisplaywindow.h b/pidgin/pidgindisplaywindow.h
--- a/pidgin/pidgindisplaywindow.h
+++ b/pidgin/pidgindisplaywindow.h
@@ -57,7 +57,7 @@ G_DECLARE_FINAL_TYPE(PidginDisplayWindow
  *
  * Creates a new #PidginDisplayWindow instance.
  *
- * Returns: (transfer full): The new #PidginDisplayWindow instance.
+ * Returns: (transfer full) (type PidginDisplayWindow): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidgininfopane.h b/pidgin/pidgininfopane.h
--- a/pidgin/pidgininfopane.h
+++ b/pidgin/pidgininfopane.h
@@ -57,7 +57,7 @@ G_DECLARE_FINAL_TYPE(PidginInfoPane, pid
  *
  * Creates a new #PidginInfoPane instance.
  *
- * Returns: (transfer full): The new #PidginInfoPane instance.
+ * Returns: (transfer full) (type PidginInfoPane): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginkeypad.h b/pidgin/pidginkeypad.h
--- a/pidgin/pidginkeypad.h
+++ b/pidgin/pidginkeypad.h
@@ -54,7 +54,7 @@ G_DECLARE_FINAL_TYPE(PidginKeypad, pidgi
  *
  * Creates a new #PidginKeypad.
  *
- * Returns: (transfer full): The new instance.
+ * Returns: (transfer full) (type PidginKeypad): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginmessage.h b/pidgin/pidginmessage.h
--- a/pidgin/pidginmessage.h
+++ b/pidgin/pidginmessage.h
@@ -56,7 +56,7 @@ G_DECLARE_FINAL_TYPE(PidginMessage, pidg
  *
  * Creates a new widget that will display @message.
  *
- * Returns: (transfer full): The new instance.
+ * Returns: (transfer full) (type PidginMessage): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginnotification.h b/pidgin/pidginnotification.h
--- a/pidgin/pidginnotification.h
+++ b/pidgin/pidginnotification.h
@@ -71,7 +71,7 @@ struct _PidginNotificationClass {
  *
  * Creates a new widget that will display @notification.
  *
- * Returns: (transfer full): The new instance.
+ * Returns: (transfer full) (type PidginNotification): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginnotificationaddcontact.h b/pidgin/pidginnotificationaddcontact.h
--- a/pidgin/pidginnotificationaddcontact.h
+++ b/pidgin/pidginnotificationaddcontact.h
@@ -63,7 +63,7 @@ G_DECLARE_FINAL_TYPE(PidginNotificationA
  * Creates a new #PidginNotificationAddContact instance that will display
  * @notification.
  *
- * Returns: (transfer full): The new #PidginNotificationAddContact
+ * Returns: (transfer full) (type PidginNotificationAddContact): The new
  *          instance.
  *
  * Since: 3.0
diff --git a/pidgin/pidginnotificationauthorizationrequest.h b/pidgin/pidginnotificationauthorizationrequest.h
--- a/pidgin/pidginnotificationauthorizationrequest.h
+++ b/pidgin/pidginnotificationauthorizationrequest.h
@@ -63,8 +63,8 @@ G_DECLARE_FINAL_TYPE(PidginNotificationA
  * Creates a new #PidginNotificationAuthorizationRequest instance that will
  * display @notification.
  *
- * Returns: (transfer full): The new #PidginNotificationAuthorizationRequest
- *          instance.
+ * Returns: (transfer full) (type PidginNotificationAuthorizationRequest): The
+ *          new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginnotificationconnectionerror.h b/pidgin/pidginnotificationconnectionerror.h
--- a/pidgin/pidginnotificationconnectionerror.h
+++ b/pidgin/pidginnotificationconnectionerror.h
@@ -64,7 +64,8 @@ G_DECLARE_FINAL_TYPE(PidginNotificationC
  * Creates a new #PidginNotificationConnectionError instance that will display
  * @notification.
  *
- * Returns: (transfer full): The new instance.
+ * Returns: (transfer full) (type PidginNotificationConnectionError): The new
+ *          instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginnotificationlink.h b/pidgin/pidginnotificationlink.h
--- a/pidgin/pidginnotificationlink.h
+++ b/pidgin/pidginnotificationlink.h
@@ -61,7 +61,7 @@ G_DECLARE_FINAL_TYPE(PidginNotificationL
  * Creates a new #PidginNotificationLink instance that will display
  * @notification.
  *
- * Returns: (transfer full): The new #PidginNotificationLink instance.
+ * Returns: (transfer full) (type PidginNotificationLink): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginnotificationlist.h b/pidgin/pidginnotificationlist.h
--- a/pidgin/pidginnotificationlist.h
+++ b/pidgin/pidginnotificationlist.h
@@ -56,7 +56,7 @@ G_DECLARE_FINAL_TYPE(PidginNotificationL
  * Creates a new #PidginNotificationList instance that will display
  * notifications from the default [class@Purple.NotificationManager].
  *
- * Returns: (transfer full): The new #PidginNotificationList instance.
+ * Returns: (transfer full) (type PidginNotificationList): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginpluginsmenu.h b/pidgin/pidginpluginsmenu.h
--- a/pidgin/pidginpluginsmenu.h
+++ b/pidgin/pidginpluginsmenu.h
@@ -53,7 +53,7 @@ G_DECLARE_FINAL_TYPE(PidginPluginsMenu, 
  *
  * Creates a new #PidginPluginsMenu instance that keeps itself up to date.
  *
- * Returns: (transfer full): The new #PidginPluginsMenu instance.
+ * Returns: (transfer full) (type PidginPluginsMenu): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginpresenceicon.h b/pidgin/pidginpresenceicon.h
--- a/pidgin/pidginpresenceicon.h
+++ b/pidgin/pidginpresenceicon.h
@@ -58,7 +58,7 @@ G_BEGIN_DECLS
  *
  * Creates a new #PidginPresenceIcon.
  *
- * Returns: (transfer full): The new presence icon.
+ * Returns: (transfer full) (type PidginPresenceIcon): The new presence icon.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginprotocolchooser.h b/pidgin/pidginprotocolchooser.h
--- a/pidgin/pidginprotocolchooser.h
+++ b/pidgin/pidginprotocolchooser.h
@@ -56,7 +56,8 @@ G_DECLARE_FINAL_TYPE(PidginProtocolChoos
  *
  * Creates a drop down for a user to select a protocol from.
  *
- * Returns: (transfer full): The protocol chooser drop down.
+ * Returns: (transfer full) (type PidginProtocolChooser): The protocol chooser
+ *          drop down.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidgintypinglabel.h b/pidgin/pidgintypinglabel.h
--- a/pidgin/pidgintypinglabel.h
+++ b/pidgin/pidgintypinglabel.h
@@ -57,7 +57,7 @@ G_DECLARE_FINAL_TYPE(PidginTypingLabel, 
  *
  * Creates the new typing label for @conversation.
  *
- * Returns: (transfer full): The new widget.
+ * Returns: (transfer full) (type PidginTypingLabel): The new widget.
  *
  * Since: 3.0
  */
diff --git a/pidgin/pidginui.h b/pidgin/pidginui.h
--- a/pidgin/pidginui.h
+++ b/pidgin/pidginui.h
@@ -57,7 +57,7 @@ G_DECLARE_FINAL_TYPE(PidginUi, pidgin_ui
  *
  * Note: there's not much use for this outside of Pidgin's internal code.
  *
- * Returns: (transfer full): The new instance.
+ * Returns: (transfer full) (type PidginUi): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/prefs/pidginawayprefs.h b/pidgin/prefs/pidginawayprefs.h
--- a/pidgin/prefs/pidginawayprefs.h
+++ b/pidgin/prefs/pidginawayprefs.h
@@ -55,7 +55,7 @@ G_DECLARE_FINAL_TYPE(PidginAwayPrefs, pi
  *
  * Creates a new #PidginAwayPrefs instance.
  *
- * Returns: (transfer full): The new #PidginAwayPrefs instance.
+ * Returns: (transfer full) (type PidginAwayPrefs): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/prefs/pidginconversationprefs.h b/pidgin/prefs/pidginconversationprefs.h
--- a/pidgin/prefs/pidginconversationprefs.h
+++ b/pidgin/prefs/pidginconversationprefs.h
@@ -55,7 +55,7 @@ G_DECLARE_FINAL_TYPE(PidginConversationP
  *
  * Creates a new #PidginConversationPrefs instance.
  *
- * Returns: (transfer full): The new #PidginConversationPrefs instance.
+ * Returns: (transfer full) (type PidginConversationPrefs): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/prefs/pidgincredentialprefs.h b/pidgin/prefs/pidgincredentialprefs.h
--- a/pidgin/prefs/pidgincredentialprefs.h
+++ b/pidgin/prefs/pidgincredentialprefs.h
@@ -63,7 +63,7 @@ G_DECLARE_FINAL_TYPE(PidginCredentialPre
  *
  * Creates a new #PidginCredentialPrefs instance.
  *
- * Returns: (transfer full): The new #PidginCredentialPrefs instance.
+ * Returns: (transfer full) (type PidginCredentialPrefs): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/prefs/pidgincredentialproviderrow.h b/pidgin/prefs/pidgincredentialproviderrow.h
--- a/pidgin/prefs/pidgincredentialproviderrow.h
+++ b/pidgin/prefs/pidgincredentialproviderrow.h
@@ -33,6 +33,8 @@
 
 #include <adwaita.h>
 
+#include <purple.h>
+
 #include "pidginversion.h"
 
 G_BEGIN_DECLS
@@ -66,7 +68,8 @@ G_DECLARE_FINAL_TYPE(PidginCredentialPro
  *
  * Creates a new #PidginCredentialProviderRow instance.
  *
- * Returns: (transfer full): The new #PidginCredentialProviderRow instance.
+ * Returns: (transfer full) (type PidginCredentialProviderRow): The new
+ *          instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/prefs/pidginnetworkprefs.h b/pidgin/prefs/pidginnetworkprefs.h
--- a/pidgin/prefs/pidginnetworkprefs.h
+++ b/pidgin/prefs/pidginnetworkprefs.h
@@ -55,7 +55,7 @@ G_DECLARE_FINAL_TYPE(PidginNetworkPrefs,
  *
  * Creates a new #PidginNetworkPrefs instance.
  *
- * Returns: (transfer full): The new #PidginNetworkPrefs instance.
+ * Returns: (transfer full) (type PidginNetworkPrefs): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/prefs/pidginproxyprefs.h b/pidgin/prefs/pidginproxyprefs.h
--- a/pidgin/prefs/pidginproxyprefs.h
+++ b/pidgin/prefs/pidginproxyprefs.h
@@ -55,7 +55,7 @@ G_DECLARE_FINAL_TYPE(PidginProxyPrefs, p
  *
  * Creates a new #PidginProxyPrefs instance.
  *
- * Returns: (transfer full): The new #PidginProxyPrefs instance.
+ * Returns: (transfer full) (type PidginProxyPrefs): The new instance.
  *
  * Since: 3.0
  */
diff --git a/pidgin/prefs/pidginvvprefs.h b/pidgin/prefs/pidginvvprefs.h
--- a/pidgin/prefs/pidginvvprefs.h
+++ b/pidgin/prefs/pidginvvprefs.h
@@ -55,7 +55,7 @@ G_DECLARE_FINAL_TYPE(PidginVVPrefs, pidg
  *
  * Creates a new #PidginVVPrefs instance.
  *
- * Returns: (transfer full): The new #PidginVVPrefs instance.
+ * Returns: (transfer full) (type PidginVVPrefs): The new instance.
  *
  * Since: 3.0
  */
